lkml.org 
[lkml]   [2021]   [Jan]   [3]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 2/2] dt-bindings: clock: adi,axi-clkgen: add Zynq & ZynqMP compatible strings
On Mon, Dec 21, 2020 at 04:42:24PM +0200, Alexandru Ardelean wrote:
> The axi-clkgen driver now supports ZynqMP (UltraScale) as well, however the
> driver needs to use different PFD & VCO limits.
>
> For ZynqMP, these needs to be selected by using the
> 'adi,zynqmp-axi-clkgen-2.00.a' string. For consistency a
> 'adi,zynq-axi-clkgen-2.00.a' has been added which should behave as the
> original compatible string (i.e. 'adi,axi-clkgen-2.00.a').

Version numbers and SoC are kind of rendundant.

Does 'adi,axi-clkgen-2.00.a' apply to anything other than Zynq? If not,
you don't really need a new string. If so, you really want it to be:

compatible = "adi,zynq-axi-clkgen-2.00.a", "adi,axi-clkgen-2.00.a";

To be forwards and backwards compatible.

>
> Signed-off-by: Alexandru Ardelean <alexandru.ardelean@analog.com>
> ---
> Documentation/devicetree/bindings/clock/adi,axi-clkgen.yaml | 2 ++
> 1 file changed, 2 insertions(+)
>
> diff --git a/Documentation/devicetree/bindings/clock/adi,axi-clkgen.yaml b/Documentation/devicetree/bindings/clock/adi,axi-clkgen.yaml
> index 0d06387184d6..398954ec6767 100644
> --- a/Documentation/devicetree/bindings/clock/adi,axi-clkgen.yaml
> +++ b/Documentation/devicetree/bindings/clock/adi,axi-clkgen.yaml
> @@ -20,6 +20,8 @@ properties:
> compatible:
> enum:
> - adi,axi-clkgen-2.00.a
> + - adi,zynq-axi-clkgen-2.00.a
> + - adi,zynqmp-axi-clkgen-2.00.a
>
> clocks:
> description:
> --
> 2.17.1
>

\
 
 \ /
  Last update: 2021-01-03 17:31    [W:0.086 / U:2.628 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site